Remote mount plugin issue

  • Hi All.
    I've installed remote-mount 5.0.3
    "showmount -e 192.168.1.7 " shows NFS shares but with some delay
    root@openmediavault:/etc/openmediavault# showmount -e 192.168.1.7
    Export list for 192.168.1.7:
    /mnt/wd2Tbgreen *
    /mnt/sg8TbironwolfPro *
    /mnt/sg8TbironPro *


    Adding the mount. Save is ok.
    Click Apply - with some delay it applies.
    When I click mount - go an error:
    Error #0:OMV\Rpc\Exception: Invalid RPC response. Please check the syslog for more information. in /usr/share/php/openmediavault/rpc/rpc.inc:187Stack trace:#0 /usr/share/php/openmediavault/rpc/proxy/json.inc(97): OMV\Rpc\Rpc::call('RemoteMount', 'mount', Array, Array, 3)#1 /var/www/openmediavault/rpc.php(45): OMV\Rpc\Proxy\Json->handle()#2 {main}


    Syslog has:


    Feb 20 13:11:38 openmediavault omv-engined[17344]: PHP Fatal error: Uncaught Error: Wrong parameters for Exception([string $message [, long $code [, Throwable $previous = NULL]]]) in /usr/share/openmediavault/engined/rpc/remotemount.inc$Feb 20 13:11:38 openmediavault omv-engined[17344]: Stack trace:
    Feb 20 13:11:38 openmediavault omv-engined[17344]: #0 /usr/share/openmediavault/engined/rpc/remotemount.inc(231): Exception->__construct('The filesystem ...', '/srv/cee5c474-0...')
    Feb 20 13:11:38 openmediavault omv-engined[17344]: #1 [internal function]: OMV\Engined\Rpc\RemoteMount->mount(Array, Array)
    Feb 20 13:11:38 openmediavault omv-engined[17344]: #2 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)
    Feb 20 13:11:38 openmediavault omv-engined[17344]: #3 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('mount', Array, Array)
    Feb 20 13:11:38 openmediavault omv-engined[17344]: #4 /usr/sbin/omv-engined(537): OMV\Rpc\Rpc::call('RemoteMount', 'mount', Array, Array, 1)
    Feb 20 13:11:38 openmediavault omv-engined[17344]: #5 {main}
    Feb 20 13:11:38 openmediavault omv-engined[17344]: thrown in /usr/share/openmediavault/engined/rpc/remotemount.inc on line 231



    In "Remote Mount" Mount indicator is not green but I can see mounted file system in File systems. But then different error appear.
    I can see string in fstab and looks correct:


    # >>> [openmediavault]192.168.1.7:/mnt/wd2Tbgreen /srv/cee5c474-048b-4229-af8a-3e26dcad3744 nfs defaults 0 0# <<< [openmediavault]
    At some point I even can share the File System and access it. But the "The configuration has been changed. You must apply the changes in order for them to take effect." appears again for some reason and when I click Apply - error shows.


    Error #0:OMV\ExecException: Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; omv-salt deploy run systemd 2>&1' with exit code '1': /usr/lib/python3/dist-packages/salt/modules/file.py:32: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working from collections import Iterable, Mapping, namedtupledebian: Data failed to compile:---------- Rendering SLS 'base:omv.deploy.systemd.10sharedfolders' failed: Jinja error: No such object: //system/fstab/mntent[uuid='a885a03d-a371-4df9-9016-25c3d37e7c80']Traceback (most recent call last): File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 715, in execute self._response = self._response[0]IndexError: list index out of rangeDuring handling of the above exception, another exception occurred:Traceback (most recent call last): File "/usr/lib/python3/dist-packages/salt/utils/templates.py", line 394, in render_jinja_tmpl output = template.render(**decoded_context) File "/usr/lib/python3/dist-packages/jinja2/asyncsupport.py", line 76, in render return original_render(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 1008, in render return self.environment.handle_exception(exc_info, True) File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 780, in handle_exception reraise(exc_type, exc_value, tb) File "/usr/lib/python3/dist-packages/jinja2/_compat.py", line 37, in reraise raise value.with_traceback(tb) File "<template>", line 37, in top-level template code File "/var/cache/salt/minion/extmods/modules/omv_conf.py", line 129, in get_sharedfolder_mount_path mp_obj = get('conf.system.filesystem.mountpoint', sf_obj['mntentref']) File "/var/cache/salt/minion/extmods/modules/omv_conf.py", line 39, in get objs = db.get(id_, identifier) File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 85, in get query.execute() File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 720, in execute raise DatabaseQueryNotFoundException(self.xpath, self.model)openmediavault.config.database.DatabaseQueryNotFoundException: No such object: //system/fstab/mntent[uuid='a885a03d-a371-4df9-9016-25c3d37e7c80']; line 37---[...] - iname: "{{ sharedfolders_dir_escaped }}-*.mount" - delete: "f"{% if sharedfolders_dir_enabled | to_bool %}{% for sharedfolder in sharedfolder_config %}{% set mntdir = salt['omv_conf.get_sharedfolder_mount_path'](sharedfolder.uuid) %} <======================{% set what = salt['omv_conf.get_sharedfolder_path'](sharedfolder.uuid) %}{% set where = sharedfolders_dir | path_join(sharedfolder.name) %}{% set unit_name = salt['cmd.run']('systemd-escape --path --suffix=mount ' ~ where) %}configure_sharedfolder_{{ sharedfolder.name }}_mount_unit_file:[...]--- in /usr/share/php/openmediavault/system/process.inc:182Stack trace:#0 /usr/share/php/openmediavault/engine/module/serviceabstract.inc(60): OMV\System\Process->execute()#1 /usr/share/openmediavault/engined/rpc/config.inc(167): OMV\Engine\Module\ServiceAbstract->deploy()#2 [internal function]: Engined\Rpc\Config->applyChanges(Array, Array)#3 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)#4 /usr/share/php/openmediavault/rpc/serviceabstract.inc(149): OMV\Rpc\ServiceAbstract->callMethod('applyChanges', Array, Array)#5 /usr/share/php/openmediavault/rpc/serviceabstract.inc(588): OMV\Rpc\ServiceAbstract->OMV\Rpc\{closure}('/tmp/bgstatusgP...', '/tmp/bgoutputJr...')#6 /usr/share/php/openmediavault/rpc/serviceabstract.inc(159): OMV\Rpc\ServiceAbstract->execBgProc(Object(Closure))#7 /usr/share/openmediavault/engined/rpc/config.inc(189): OMV\Rpc\ServiceAbstract->callMethodBg('applyChanges', Array, Array)#8 [internal function]: Engined\Rpc\Config->applyChangesBg(Array, Array)#9 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)#10 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('applyChangesBg', Array, Array)#11 /usr/sbin/omv-engined(537): OMV\Rpc\Rpc::call('Config', 'applyChangesBg', Array, Array, 1)#12 {main}



    Any suggestions?

  • Clear your browser cache.
    Delete the remotemount you tried to make (or maybe uninstall the plugin).
    Then try to recreate it.


    I'm guessing it create a bad remotemount entry because of the browser cache issue.

    omv 5.3.9 usul | 64 bit | 5.3 proxmox kernel | omvextrasorg 5.2.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • 1. logged in other browser
    2. Deleted mount, plugin, cleared the cache.
    3. Installed plugin.
    4. Added remote mount- looks ok
    5. File system appeared.
    Still "The configuration has been changed. You must apply the changes in order for them to take effect." appears - click Apply
    Error #0:OMV\ExecException: Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; omv-salt deploy run systemd 2>&1' with exit code '1': /usr/lib/python3/dist-packages/salt/modules/file.py:32: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working from collections import Iterable, Mapping, namedtupledebian: Data failed to compile:---------- Rendering SLS 'base:omv.deploy.systemd.10sharedfolders' failed: Jinja error: No such object: //system/fstab/mntent[uuid='a885a03d-a371-4df9-9016-25c3d37e7c80']Traceback (most recent call last): File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 715, in execute self._response = self._response[0]IndexError: list index out of range


    After reboot File Systems show:
    Could not fetch a matching mount point from the provided fsname: '/srv/d8e0cf88-d3fc-4edc-b900-7e32fbb17480'.
    Error #0:OMV\Exception: Could not fetch a matching mount point from the provided fsname: '/srv/d8e0cf88-d3fc-4edc-b900-7e32fbb17480'. in /usr/share/php/openmediavault/system/filesystem/backend/remoteabstract.inc:209Stack trace:#0 /usr/share/php/openmediavault/system/filesystem/backend/remoteabstract.inc(139): OMV\System\Filesystem\Backend\RemoteAbstract::fetchMountPointFromFstabByFsnameAndType('/srv/d8e0cf88-d...', 'nfs')#1 /usr/share/php/openmediavault/system/filesystem/filesystem.inc(828): OMV\System\Filesystem\Backend\RemoteAbstract->getImpl('/srv/d8e0cf88-d...')#2 /usr/share/openmediavault/engined/rpc/filesystemmgmt.inc(71): OMV\System\Filesystem\Filesystem::getFilesystems()#3 [internal function]: Engined\Rpc\OMVRpcServiceFileSystemMgmt->enumerateFilesystems(NULL, Array)#4 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)#5 /usr/share/openmediavault/engined/rpc/filesystemmgmt.inc(322): OMV\Rpc\ServiceAbstract->callMethod('enumerateFilesy...', NULL, Array)#6 [internal function]: Engined\Rpc\OMVRpcServiceFileSystemMgmt->getList(Array, Array)#7 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)#8 /usr/share/php/openmediavault/rpc/serviceabstract.inc(149): OMV\Rpc\ServiceAbstract->callMethod('getList', Array, Array)#9 /usr/share/php/openmediavault/rpc/serviceabstract.inc(588): OMV\Rpc\ServiceAbstract->OMV\Rpc\{closure}('/tmp/bgstatusRt...', '/tmp/bgoutputCW...')#10 /usr/share/php/openmediavault/rpc/serviceabstract.inc(159): OMV\Rpc\ServiceAbstract->execBgProc(Object(Closure))#11 /usr/share/openmediavault/engined/rpc/filesystemmgmt.inc(471): OMV\Rpc\ServiceAbstract->callMethodBg('getList', Array, Array)#12 [internal function]: Engined\Rpc\OMVRpcServiceFileSystemMgmt->getListBg(Array, Array)#13 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)#14 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('getListBg', Array, Array)#15 /usr/sbin/omv-engined(537): OMV\Rpc\Rpc::call('FileSystemMgmt', 'getListBg', Array, Array, 1)#16 {main}

  • Is a885a03d-a371-4df9-9016-25c3d37e7c80 the new mount? What is the output of: dpkg -l | grep openm

    omv 5.3.9 usul | 64 bit | 5.3 proxmox kernel | omvextrasorg 5.2.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • root@openmediavault:/srv# dpkg -l | grep openm
    ii openmediavault 5.3.2-1 all openmediavault - The open network attached storage solution
    ii openmediavault-diskstats 5.0.3-1 all openmediavault disk monitoring plugin
    ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
    ii openmediavault-omvextrasorg 5.2.4 all OMV-Extras.org Package Repositories for OpenMediaVault
    ii openmediavault-remotemount 5.0.3 all Remote mount plugin for OpenMediaVault.
    ii openmediavault-resetperms 5.0 all Reset Permissions




    Is a885a03d-a371-4df9-9016-25c3d37e7c80 the new mount?

    was before I recreated the mount. Now it is /srv/d8e0cf88-d3fc-4edc-b900-7e32fbb17480
    <mntent>
    <uuid>8826801e-27a5-474e-afae-2a5692b32767</uuid>
    <fsname>d8e0cf88-d3fc-4edc-b900-7e32fbb17480</fsname>
    <dir>/srv/d8e0cf88-d3fc-4edc-b900-7e32fbb17480</dir>
    <type>nfs</type>
    <opts></opts>
    <freq>0</freq>
    <passno>0</passno>
    <hidden>1</hidden>
    </mntent>


    fstab:
    # >>> [openmediavault]
    192.168.1.7:/mnt/wd2Tbgreen /srv/d8e0cf88-d3fc-4edc-b900-7e32fbb17480 nfs defaults 0 0
    # <<< [openmediavault]

  • Ok. We are getting somewhere. What is the output of: ls -al /etc/systemd/system/


    root@openmediavault:/var/log# ls -al /etc/systemd/system/
    total 68
    drwxr-xr-x 15 root root 4096 Feb 20 14:53 .
    drwxr-xr-x 5 root root 4096 Feb 18 11:37 ..
    drwxr-xr-x 2 root root 4096 Feb 20 12:24 basic.target.wants
    lrwxrwxrwx 1 root root 34 Feb 18 12:07 chronyd.service -> /lib/systemd/system/chrony.service
    lrwxrwxrwx 1 root root 42 Feb 17 17:22 dbus-fi.w1.wpa_supplicant1.service -> /lib/systemd/system/wpa_supplicant.service
    lrwxrwxrwx 1 root root 40 Feb 17 17:22 dbus-org.freedesktop.Avahi.service -> /lib/systemd/system/avahi-daemon.service
    lrwxrwxrwx 1 root root 44 Feb 17 17:22 dbus-org.freedesktop.network1.service -> /lib/systemd/system/systemd-networkd.service
    lrwxrwxrwx 1 root root 44 Feb 17 17:22 dbus-org.freedesktop.resolve1.service -> /lib/systemd/system/systemd-resolved.service
    lrwxrwxrwx 1 root root 45 Feb 17 17:22 dbus-org.freedesktop.timesync1.service -> /lib/systemd/system/systemd-timesyncd.service
    drwxr-xr-x 2 root root 4096 Feb 17 17:22 default.target.wants
    drwxr-xr-x 2 root root 4096 Feb 17 17:22 getty.target.wants
    drwxr-xr-x 2 root root 4096 Feb 17 17:22 halt.target.wants
    drwxr-xr-x 2 root root 4096 Feb 18 11:36 local-fs.target.wants
    drwxr-xr-x 2 root root 4096 Feb 20 12:19 multi-user.target.wants
    drwxr-xr-x 2 root root 4096 Feb 17 17:22 network-online.target.wants
    drwxr-xr-x 2 root root 4096 Feb 17 17:22 poweroff.target.wants
    drwxr-xr-x 2 root root 4096 Feb 17 17:22 reboot.target.wants
    drwxr-xr-x 2 root root 4096 Feb 17 17:22 remote-fs.target.wants
    lrwxrwxrwx 1 root root 9 Feb 17 17:22 samba-ad-dc.service -> /dev/null
    -rw-r--r-- 1 root root 707 Feb 20 12:24 sharedfolders-torrents.mount
    drwxr-xr-x 2 root root 4096 Feb 20 14:53 sockets.target.wants
    lrwxrwxrwx 1 root root 31 Feb 17 17:22 sshd.service -> /lib/systemd/system/ssh.service
    drwxr-xr-x 2 root root 4096 Feb 18 11:39 sysinit.target.wants
    lrwxrwxrwx 1 root root 35 Feb 17 17:22 syslog.service -> /lib/systemd/system/rsyslog.service
    drwxr-xr-x 2 root root 4096 Feb 17 17:22 timers.target.wants
    -rw-r--r-- 1 root root 289 Aug 16 2019 tmp.mount

  • What about: cat /etc/systemd/system/sharedfolders-torrents.mount


    root@openmediavault:/var/log# cat /etc/systemd/system/sharedfolders-torrents.mount
    # This file is auto-generated by openmediavault (https://www.openmediavault.org)
    # WARNING: Do not edit this file, your changes will get lost.
    [Unit]
    Description=Mount shared folder torrents to /sharedfolders/torrents
    DefaultDependencies=no
    After=zfs-mount.service
    Wants=sysinit.target
    Conflicts=umount.target
    RequiresMountsFor=/srv/01e6cc49-aca7-471e-9b7f-11538feae4ce/
    AssertPathIsDirectory=/sharedfolders
    AssertPathIsMountPoint=/srv/01e6cc49-aca7-471e-9b7f-11538feae4ce/
    AssertPathIsDirectory=/srv/01e6cc49-aca7-471e-9b7f-11538feae4ce/torrents/



    [Mount]
    What=/srv/01e6cc49-aca7-471e-9b7f-11538feae4ce/torrents/
    Where=/sharedfolders/torrents
    Type=none
    Options=bind,nofail



    [Install]
    WantedBy=basic.target

  • Shit. What is the output of: sudo omv-salt deploy run fstab


    root@openmediavault:/var/log# sudo omv-salt deploy run fstab
    /usr/lib/python3/dist-packages/salt/utils/decorators/signature.py:31: DeprecationWarning: `formatargspec` is deprecated since Python 3.5. Use `signature` and the `Signature` object directly
    *salt.utils.args.get_function_argspec(original_function)



    debian:
    ----------
    ID: create_remotemount_mountpoint_d8e0cf88-d3fc-4edc-b900-7e32fbb17480
    Function: file.accumulated
    Result: True
    Comment: Accumulator create_remotemount_mountpoint_d8e0cf88-d3fc-4edc-b900-7e32fbb17480 for file /etc/fstab was charged by text
    Started: 16:09:15.884276
    Duration: 0.719 ms
    Changes:
    ----------
    ID: mount_filesystem_mountpoint_d8e0cf88-d3fc-4edc-b900-7e32fbb17480
    Function: mount.mounted
    Name: /srv/d8e0cf88-d3fc-4edc-b900-7e32fbb17480
    Result: False
    Comment: mount.nfs: Connection timed out
    Started: 16:09:15.885714
    Duration: 181776.214 ms
    Changes:
    ----------
    ID: append_fstab_entries
    Function: file.blockreplace
    Name: /etc/fstab
    Result: True
    Comment: No changes needed to be made
    Started: 16:12:17.663762
    Duration: 8.251 ms
    Changes:



    Summary for debian
    ------------
    Succeeded: 2
    Failed: 1
    ------------
    Total states run: 3
    Total run time: 181.785 s

  • That I can't fix. It is failing to mount your nfs mount. Maybe a reboot to clean up the cruft from previous attempts?

    omv 5.3.9 usul | 64 bit | 5.3 proxmox kernel | omvextrasorg 5.2.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • That I can't fix. It is failing to mount your nfs mount. Maybe a reboot to clean up the cruft from previous attempts?

    hm. strange. Will try to fix this.
    root@openmediavault:/var/log# mount -t nfs 192.168.1.7:/mnt/wd2Tbgreen /mnt
    mount.nfs: mount system call failed
    root@openmediavault:/var/log# iptables -F
    root@openmediavault:/var/log# mount -t nfs 192.168.1.7:/mnt/wd2Tbgreen /mnt
    mount.nfs: Connection timed out


    I have another Ubuntu host and no problems there.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!